Log a bucket transfer

This request creates a bucket transfer on a line of credit account.

   Click here to learn more about this request

On a line of credit account, a borrower's balance is divided between several buckets which each have their own credit limit and interest rate. It is possible to transfer the balance of one bucket to another. Note the following when using this request:

The LineOfCreditBucketTransferTransactions object holds bucket transfer information, and it's nested within the LineOfCredits entity.

Bucket transfers require a "from" bucket and a "to" bucket. Both buckets must be currently active on the account.

Balance transfers can also be edited and reversed.

For an example of how bucket transfers work in the UI, take a look at our Bucket Transfer article.

Database

For information regarding line of credit charge database tables, see the following articles:

Database – Line of Credit Bucket Transfers (line_of_credit_bucket_transfer_entity)

Database – Line of Credit Setup Bucket (line_of_credit_setup_bucket_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "lineOfCreditId": 340,
    "status": "lineOfCredit.transactionStatus.active",
    "amount": "12.34",
    "fromBucket": 1,
    "toBucket": 6,
    "applyDate": "2025-04-24",
    "description": "Transfer"
}
Body Params
int32
required

The ID of the line of credit account.

string
enum
required

The status of the bucket transfer.

float
required

The amount of the bucket transfer.

int32
required

The bucket where the transfer is coming from.

int32
required

The bucket where the transfer is going to.

date
required

The apply date for the bucket transfer.
> Formatted as YYYY-MM-DD.

string

The description of the budget transfer.
> Limited to 255 characters.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json